%global npm_name hawk

Summary:       HTTP Hawk Authentication Scheme
Name:          nodejs-%{npm_name}
Version:       3.1.0
Release:       1%{?dist}
License:       BSD
URL:           https://github.com/hueniverse/hawk
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Hawk is an HTTP authentication scheme using a message 
authentication code (MAC) algorithm to provide partial 
HTTP request cryptographic verification. 
For more complex use cases such as access delegation, see Oz.

Note: 3.x and 2.x are the same exact protocol as 1.1. 
The version increments reflect changes in the node API.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr images lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc example LICENSE README.md test
%{nodejs_sitelib}/%{npm_name}

%changelog
* Fri Sep 11 2015 Troy Dawson <tdawson@redhat.com> - 3.1.0-1
- Initial package
